Skip to content

List

GET
/v2/import
curl --request GET \
--url 'https://api-admin.billz.ai/v2/import?page=1&limit=10&start_supply_price=0&end_supply_price=0' \
--header 'Authorization: Bearer <token>' \
--header 'accept-language: ru' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

page
integer format: int32
default: 1

Page number; non-numeric value -> 400

Example
1
limit
integer format: int32
default: 10

Page size

Example
10
search
string

Search

start_date
string

From date

end_date
string

To date

shops
Array<string>

Comma-separated list of shop_id; intersected with the shops available to the user

start_supply_price
number format: double
0

Minimum supply amount

end_supply_price
number format: double
0

Maximum supply amount

status_ids
Array<string>

Import statuses, comma-separated

import_types
Array<string>

Import types, comma-separated

supplier_id
string

Supplier

process_id
string

Process identifier

accept-language
string
default: ru

ru, uz or en; default ru. Affects localized fields

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
imports
Array<object>
object
id
string
external_id
string
company_id
string
name
string
shop_id
string
shop_name
string
import_type_id
string
import_status_id
string
total_loaded_measurement_value
number format: double
total_arrived_measurement_value
number format: double
total_sold_measurement_value
number format: double
total_supply_price
number format: double
total_retail_price
number format: double
suppliers
Array<string>
nullable
comment
string
created_at
string
created_by
object
id
string
name
string
finished_at
string
finished_by
object
id
string
name
string
session_id
string
process_percentage
number format: double
total_processed_measurement_value
number format: double
stocktaking_id
string
process_id
string
int_id
integer format: int64
import_items

Not filled in the list

Array<string>
nullable
count
integer format: int32
Examplegenerated
{
"imports": [
{
"id": "example",
"external_id": "example",
"company_id": "example",
"name": "example",
"shop_id": "example",
"shop_name": "example",
"import_type_id": "example",
"import_status_id": "example",
"total_loaded_measurement_value": 1,
"total_arrived_measurement_value": 1,
"total_sold_measurement_value": 1,
"total_supply_price": 1,
"total_retail_price": 1,
"suppliers": [
"example"
],
"comment": "example",
"created_at": "example",
"created_by": {
"id": "example",
"name": "example"
},
"finished_at": "example",
"finished_by": {
"id": "example",
"name": "example"
},
"session_id": "example",
"process_percentage": 1,
"total_processed_measurement_value": 1,
"stocktaking_id": "example",
"process_id": "example",
"int_id": 1,
"import_items": [
"example"
]
}
],
"count": 1
}